Bug 241798 - net/xmlrpc-c: version 1.51.05 fails to compile on 12.1 with ld: error: undefined symbol: TLS_server_method
Summary: net/xmlrpc-c: version 1.51.05 fails to compile on 12.1 with ld: error: undefi...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-08 09:22 UTC by Philip Homburg
Modified: 2020-01-10 12:31 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (garga)


Attachments
poudriere log (208.27 KB, text/plain)
2019-11-08 09:22 UTC, Philip Homburg
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philip Homburg 2019-11-08 09:22:01 UTC
Created attachment 208967 [details]
poudriere log

Something to do with the new openssl. See the attached poudriere log
Comment 1 Renato Botelho freebsd_committer 2019-12-30 20:47:31 UTC
Could you please test recently committed version 1.51.06 to make sure problem persist? I've tested it on 12.1 without issues
Comment 2 Philip Homburg 2020-01-10 08:20:25 UTC
I can confirm that it builds fine now.